> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Nonce

> Get a nonce to sign for registration or login.



## OpenAPI

````yaml https://api.yieldo.xyz/openapi.json post /v1/partners/nonce
openapi: 3.1.0
info:
  title: Yieldo API
  description: Cross-chain deposit aggregator for ERC-4626 and custom yield vaults
  version: 1.0.0
servers:
  - url: https://api.yieldo.xyz
    description: Production
security: []
paths:
  /v1/partners/nonce:
    post:
      tags:
        - partners
      summary: Get Nonce
      description: Get a nonce to sign for registration or login.
      operationId: get_nonce_v1_partners_nonce_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PartnerNonceRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnerNonceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PartnerNonceRequest:
      properties:
        address:
          type: string
          title: Address
      type: object
      required:
        - address
      title: PartnerNonceRequest
    PartnerNonceResponse:
      properties:
        nonce:
          type: string
          title: Nonce
        message:
          type: string
          title: Message
      type: object
      required:
        - nonce
        - message
      title: PartnerNonceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````